export interface SerializerContext {
    getQualifiedName(elementName: string, namespaceUri: string): string;
}
export declare class XMLDecoratorSerializer implements SerializerContext {
    private factory;
    private document;
    private prefixCounter;
    private prefixMap;
    serialize(data: any, type: Function, defaultNSPrefixMap?: any, elementName?: string, namespaceUri?: string): string;
    private getQualifiedAttributeName;
    getQualifiedName(elementName: string, namespaceUri: string): string;
    private serializeObject;
    private convertValue;
    private serializeElement;
    private serializeValueElement;
    private getArrayItemType;
    private serializeArray;
}
